---
title: IntersectionObserver.root
slug: Web/API/IntersectionObserver/root
tags:
  - API
  - Intersection Observer
  - Intersection Observer API
  - IntersectionObserver
  - Property
  - Reference
  - root
---
<div>{{APIRef("Intersection Observer API")}}</div>

<p><span class="seoSummary">The {{domxref("IntersectionObserver")}} interface's read-only <strong><code>root</code></strong> property identifies the {{domxref("Element")}} or {{domxref("Document")}} whose bounds are treated as the {{Glossary("bounding box")}} of the {{Glossary("viewport")}} for the element which is the observer's target.</span> If the <code>root</code> is <code>null</code>, then the bounds of the actual document viewport are used.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var <em>root</em> = </code>intersectionObserver</var>.root;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Element")}} or {{domxref("Document")}} object whose bounding box is used as the bounds of the viewport for the purposes of determining how much of the target element is visible. The intersection of this bounding rectangle, offset by any margins specified in the options passed to the {{domxref("IntersectionObserver.IntersectionObserver", "IntersectionObserver()")}} constructor, the target element's bounds, minus the bounds of every element or other object which overlaps the target element, is considered to be the visible area of the target element.</p>

<p>If <code>root</code> is <code>null</code>, then the owning document is used as the root, and the bounds its viewport (that is, the visible area of the document) are used as the root bounds.</p>

<h2 id="Example">Example</h2>

<p>This example sets the {{cssxref("border")}} of the intersection observer's root element to be a 2-pixel medium green line.</p>

<pre class="brush: js">observer.root.style.border = "2px solid #44aa44";
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('IntersectionObserver', '#dom-intersectionobserver-root', 'IntersectionObserver')}}</td>
   <td>{{Spec2('IntersectionObserver')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.IntersectionObserver.root")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Intersection_Observer_API/Timing_element_visibility">Timing element visibility with the Intersection Observer API</a></li>
</ul>
